Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.fdf
Class FDFPage

    java.lang.Object
      org.pdfbox.pdmodel.fdf.FDFPage

All Implemented Interfaces:
  COSObjectable

public class FDFPage
extends Object
implements COSObjectable

This represents an FDF page that is part of the FDF document.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`FDFPage()` Default constructor.
`FDFPage(COSDictionary p)` Constructor.

Method Summary
`COSDictionary` | `getCOSDictionary()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`FDFPageInfo` | `getPageInfo()` This will get the FDF page info object.
`List` | `getTemplates()` This will get a list of FDFTemplage objects that describe the named pages that serve as templates.
`void` | `setPageInfo(FDFPageInfo info)` This will set the page info.
`void` | `setTemplates(List templates)` A list of FDFTemplate objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FDFPage

    public FDFPage()

  Default constructor.

### FDFPage

    public FDFPage(COSDictionary p)

  Constructor.

Parameters:
  `p` - The FDF page.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getTemplates

    public List getTemplates()

  This will get a list of FDFTemplage objects that describe the named pages that serve as templates.

  Returns:
    A list of templates.

### setTemplates

    public void setTemplates(List templates)

  A list of FDFTemplate objects.

  Parameters:
    `templates` - A list of templates for this Page.

### getPageInfo

    public FDFPageInfo getPageInfo()

  This will get the FDF page info object.

  Returns:
    The Page info.

### setPageInfo

    public void setPageInfo(FDFPageInfo info)

  This will set the page info.

  Parameters:
    `info` - The new page info dictionary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD